#
# spec file for package oracleasm (Version 2.0.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo

Url:            http://oss.oracle.com/projects/oracleasm/

Name:           oracleasm
License:        GPL v2 or later
Group:          System/Kernel
Version:        2.0.5
Release:        7.7.26
Summary:        Kernel driver backing the Generic Linux ASM Library
Source0:        %{name}-%{version}.tar.bz2
Source1:        Module.supported
#Patch0:         patch-2.6.27.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#ExclusiveArch:  %ix86 x86_64
Requires:       oracleasm-kmp
BuildRequires:  kernel-syms module-init-tools
%ifarch %ix86 x86_64
#BuildRequires:  kernel-syms-rt
%endif
%suse_kernel_module_package kdump um

%description
This package provides kernel module for ASMLib. You need oracleasmlib
and oracleasm-support package to use this.



Authors:
--------
    Joel Becker <joel.becker@oracle.com>

%package KMP
License:        GPL v2 or later
Summary:        Kernel driver backing the Generic Linux ASM Library
Group:          System/Kernel

%description KMP
This package provides KMP modules for oracleasm. You need oracleasmlib
and oracleasm-support package to use this.



%prep
%setup
cp %_sourcedir/Module.supported kernel/Module.supported
#%patch -p1
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	pushd obj/$flavor
	./configure
	popd
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor/kernel
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor \
		modules_install M=$PWD/obj/$flavor/kernel
	install -m755 -d $RPM_BUILD_ROOT/usr/share/doc/oracleasm
        install -m644 $PWD/obj/$flavor/documents/asm-install.txt \
                $RPM_BUILD_ROOT/usr/share/doc/oracleasm/asm-install.txt
done

%files
%defattr(-,root,root)
%doc /usr/share/doc/oracleasm

%changelog
* Wed Apr 22 2009 andavis@novell.com
- Backed out changes in order to build on sles 10 sp3:
- Removed BuildRequires
- Removed 2.6.27 patch
* Wed Jan 14 2009 ro@suse.de
- remove "." from end of summary
* Tue Jan 13 2009 dgollub@suse.de
- Add kernel-syms-rt to build requires to build SLERT KMPs
* Mon Oct 13 2008 andavis@novell.com
- Removed extraneous files mistakenly left in source tarball.
  (No functional changes).
* Wed Sep 10 2008 andavis@novell.com
- FATE 304969
- Build SUSE KMP
- Patch for 2.6.27 kernels to remove ioctl32.h dependency
